# Report a verification using Identity

Report the received verification code to verify it, using the identity of the user (in most cases, the phone number). For an SMS verification or Phone Call verification, this is the OTP code. For FlashCall, this is the CLI.

Endpoint: PUT /verification/v1/verifications/number/{endpoint}
Version: 2.0.1
Security: Basic, Application

## Security:

  - `Basic` (unknown)
    http basic

  - `Application` (unknown)
    apiKey in header Authentication

## Path parameters:

  - `endpoint` (string, required)
    For type `number` use a [E.164](https://community.sinch.com/t5/Glossary/E-164/ta-p/7537)-compatible phone number.

## Request fields (application/json):

  - `method` (string, required)
    The type of verification.
    Enum: "sms", "flashcall", "callout", "whatsapp"

  - `sms` (object, required)
    A configuration object containing settings specific to SMS verifications.

  - `sms.code` (string, required)
    The code which was received by the user submitting the SMS verification.
    Example: 123

  - `flashCall` (object, required)
    A configuration object containing settings specific to flash call verifications.

  - `flashCall.cli` (string, required)
    The caller ID of the flash call. Caller ID in flash call verification refers to the phone number from which the call was made to the user's device. The verification system uses this incoming number as One Time Password (OTP)
    Example: +46000000000

  - `callout` (object, required)
    A configuration object containing settings specific to Phone Call verifications.

  - `callout.code` (string)
    The code which was received by the user submitting the Phone Call verification.

  - `whatsapp` (object, required)
    A configuration object containing settings specific to WhatsApp verifications.

  - `whatsapp.code` (string, required)
    The code which was received by the user submitting the WhatsApp verification.
    Example: 123

## Response 200:

  - `200` (unknown)
    A success response, or an [Error](https://developers.sinch.com/docs/verification/api-reference/errors/).

## Response 200 fields (application/json):

  - `id` (string)
    The unique ID of the verification request.
    Example: 1234567890

  - `method` (string, required)
    The type of the verification.
    Enum: "sms", "flashcall", "callout", "whatsapp"

  - `status` (string)
    The status of the verification
    Enum: "PENDING", "SUCCESSFUL", "FAIL", "DENIED", "ABORTED", "ERROR"

  - `reason` (string)
    Displays the reason why a verification has `FAILED`, was `DENIED`, or was `ABORTED`.
    Enum: "Fraud", "Not enough credit", "Blocked", "Denied by callback", "Invalid callback", "Internal error", "Destination denied", "Network error or number unreachable", "Failed pending", "SMS delivery failure", "Invalid CLI", "Invalid code", "Expired", "Hung up without entering valid code"

  - `callComplete` (boolean)
    Displays if the call was completed successfully.

